/*
 * Visual Navigation for Flying Robots:
 *
 * Sheet 1
 *
 *  Created on: Apr 18, 2012
 *      Author: Nikolas Engelhard
 */

#include "ros/ros.h"
#include "geometry_msgs/Twist.h"
#include <tf/transform_broadcaster.h>

#include "visnav_1/Navdata.h"
#include "visnav_1/marker.h"


struct Ardrone_visualizer {

 ros::NodeHandle nh_;
 ros::Subscriber sub_nav;

 drone_marker markers;
 tf::Transform current_state;


 void navCB(const visnav_1::NavdataConstPtr& nav_msg){
  // (...)
  //  markers.addMarkerPose(tf::StampedTransform(current_state, nav_msg->header.stamp, "/world", "/ardrone"));
  // (...)
  //  markers.publish_markers();
 }



 Ardrone_visualizer(){
  sub_nav = nh_.subscribe("/ardrone/navdata",100,&Ardrone_visualizer::navCB, this);
  ROS_INFO("Subscribed to /ardrone/navdata, waiting for messages");
 }

};




int main(int argc, char **argv)
{
 ros::init(argc, argv, "ardrone_visualization");

 Ardrone_visualizer visualizer;
 ros::Rate r(30);

 while (visualizer.nh_.ok()){
  ros::spinOnce();
  r.sleep();
 }

 return 0;
}
