/*
 * marker.cpp
 *
 *  Created on: Apr 18, 2012
 *      Author: Nikolas Engelhard
 */


#include "visnav_1/marker.h"

void drone_marker::publish_markers(){

 visualization_msgs::MarkerArray marker_list;

 visualization_msgs::Marker marker;

 marker.header.frame_id = "/world";

 marker.type = visualization_msgs::Marker::ARROW;
 marker.action = visualization_msgs::Marker::ADD;

 marker.scale.x = 0.2;
 marker.scale.y = 0.05;
 marker.scale.z = 0.05;

 marker.color.a = 1.0;
 marker.color.r = 1.0;


 for (uint i=0; i<trafos.size(); ++i){
  marker.id = i;
  marker.header.stamp = trafos[i].stamp_;

  marker.pose.position.x = trafos[i].getOrigin().getX();
  marker.pose.position.y = trafos[i].getOrigin().getY();
  marker.pose.position.z = trafos[i].getOrigin().getZ();

  marker.pose.orientation.x = trafos[i].getRotation().getX();
  marker.pose.orientation.y = trafos[i].getRotation().getY();
  marker.pose.orientation.z = trafos[i].getRotation().getZ();
  marker.pose.orientation.w = trafos[i].getRotation().getW();

  marker_list.markers.push_back(marker);
 }

 ROS_INFO("Publishing %zu markers", marker_list.markers.size());
 pub_markers.publish(marker_list);

 // update tf frame:
 if (trafos.size() > 0){
  ROS_INFO("updating trafo");
  br.sendTransform(tf::StampedTransform(trafos[trafos.size()-1], trafos[trafos.size()-1].stamp_, "/world", "/ardrone"));
 }

}
